﻿using ff14bot.Enums;
using TreeSharp;

namespace Heathcliff
{
    internal abstract class CombatRoutine
    {
        private Composite behavior;

        public abstract ClassJobType Job { get; }

        public Composite Behavior
        {
            get { return behavior ?? (behavior = CreateBehavior()); }
        }

        protected abstract Composite CreateBehavior();
    }
}
